summaryrefslogtreecommitdiff
path: root/tests/tests/build-modes-long
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2018-09-03 21:28:39 -0700
committerSean Whitton <spwhitton@spwhitton.name>2018-09-03 21:28:39 -0700
commitcc704da52293859135140d783697360b55ea34a5 (patch)
tree7ca5bdb2177cb05a798d4ac8d292057a2c3abcf1 /tests/tests/build-modes-long
parent29176533eff12cd3e90e3a3ce60e59ec1077b2ac (diff)
parent80660b109ae671e5164c6738919f34db06719236 (diff)
Merge tag 'debian/6.11' into stretch-bpo
dgit release 6.11 for unstable (sid) [dgit] [dgit distro=debian] # gpg: Signature made Sun 26 Aug 2018 01:58:34 PM MST # gpg: using RSA key 559AE46C2D6B6D3265E7CBA1E3E3392348B50D39 # gpg: Can't check signature: No public key
Diffstat (limited to 'tests/tests/build-modes-long')
-rwxr-xr-xtests/tests/build-modes-long36
1 files changed, 36 insertions, 0 deletions
diff --git a/tests/tests/build-modes-long b/tests/tests/build-modes-long
new file mode 100755
index 0000000..20a2ce3
--- /dev/null
+++ b/tests/tests/build-modes-long
@@ -0,0 +1,36 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-build-modes
+
+bm-prep
+
+for build in \
+ 'source' \
+ 'any' \
+ 'all' \
+ 'binary' \
+ 'full' \
+ 'source,any' \
+ 'all,any' \
+; do
+ act="build --build=$build"
+
+ case "$build" in
+ *source*|*full*) e_source=true ;;
+ *) e_source=false ;;
+ esac
+
+ case "$build" in
+ *binary*|*any*all*|*all*any*)
+ e_targets='build binary' ;;
+ *any*) e_targets='build-arch binary-arch' ;;
+ *all*) e_targets='build-indep binary-indep' ;;
+ esac
+
+ cleanmodes="$cleanmodes_default"
+ real_act="$act"
+ bm-act-iterate
+done
+
+t-ok